      ***
      *** DFHZJCL3 SPOOL HOUSEKEEPONG
      ***          Supply run frequency and retain period
      ***
      ***    All rights reserved.  Unpublished, all rights reserved
      ***    under copyright law and international treaty.  Use of
      ***    a copyright notice is precautionary only and does not
      ***    imply publication or disclosure. This software contains
      ***    confidential information and trade secrets of Micro Focus
      ***    International Ltd. and no part of this program or publication
      ***    may be reproduced, transmitted, transcribed, stored in
      ***    a retrieval system, or translated into any language or
      ***    computer language, in any form or by any means,
      ***    electronic, mechanical, magnetic, optical, chemical,
      ***    manual or otherwise, without the prior written
      ***    permission of:
      ***
      ***    Micro Focus International Ltd.,
      ***    The Lawn,
      ***    22-30 Old Bath Road
      ***    Newbury, Berkshire, RG14 1QN, UK.
      ***    (01635) 32646
      ***
      ***    RESTRICTED RIGHTS LEGEND
      ***    Use, duplication, or disclosure by the Government is
      ***    subject to restrictions as set forth in subparagraph
      ***    (c)(1)(ii) of the Rights in Technical Data and
      ***    Computer Software clause at DFARS 52.227-7013 or
      ***    subparagraphs (c)(1) and (2) of Commercial Computer
      ***    Software - Restricted Rights at 48 CFR 52.227-19,
      ***    as applicable. Contact Micro Focus Inc.
      ***
       IDENTIFICATION DIVISION.
       PROGRAM-ID. DFHZJCL3.
       ENVIRONMENT DIVISION.
       DATA DIVISION.
      ***********************************************************
       WORKING-STORAGE SECTION.
      ***********************************************************
           copy DFHAID.
           copy DFHBMSCA.
       01  spool-hk-settings.
           copy SPOOLHK.
       01  response-code             pic s9(8) comp.
      *-------------------------------------------------------
      *  SPOOL HOUSEKEEPING CONTROL VARIABLES START
      *-------------------------------------------------------
      *  this field controls how often the spool clean-up is run
      *  it is stated in days
      *-------------------------------------------------------
       01  ws-run-frequency              pic 99999 value 1.
      *-------------------------------------------------------
      *  this field controls how long spool files should be kept for
      *  it is stated in days
      *-------------------------------------------------------
       01  ws-keep-for                   pic 99999 value 2.
      *-------------------------------------------------------
      *  SPOOL HOUSEKEEPING CONTROL VARIABLES END
      *-------------------------------------------------------
      *-------------------------------------------------------
      *  Misc variables
      *-------------------------------------------------------
      ***********************************************************
       LINKAGE SECTION.
      ***********************************************************
       01  DFHCOMMAREA.
      *    02  com-run-frequency         pic 99999.
      *    02  com-keep-for              pic 99999.
           02  lk-mvsp0027-retain.
               03  lk-version                  pic x(8).
               03  lk-run-frequency            pic 99999.
               03  lk-keep-for                 pic 99999.
               03  lk-class-settings.
                 05  filler                    occurs 36.
                   07 lk-class-keep-for        pic 99999.
                   07 lk-archive-reqd          pic x.
      ***********************************************************
       PROCEDURE DIVISION.
      ***********************************************************
           if eibcalen > 0
               move spool-hk-settings to lk-mvsp0027-retain
      *        move ws-run-frequency to com-run-frequency
      *        move ws-keep-for      to com-keep-for
           end-if
           EXEC CICS RETURN
           END-EXEC
           goback.
