      **********************************************************************************
      *  This copy book controls the spool housekeeping.
      **********************************************************************************
      *      ws-run-frequency
      *          this field controls how often the spool clean-up is run
      *          it is stated in days
      *      ws-keep-for
      *          this field contains the default retention period in days for
      *          spooled output
      **********************************************************************************
           03  default-settings.
             05  ws-version                      pic x(8)
                          value 'SPHK 1.0'.
             05  ws-run-frequency                pic 99999 value 1.
             05  ws-keep-for                     pic 99999 value 6.
      **********************************************************************************
      *    The following fields contain the retention periods for spooled output by class
      *    and a flag indicating whether spool files in this class should be archived on
      *    deletion.  There are 36 entries, A through Z and 0 through 9.
      *    If the value is set to 99999 then the default value from ws-keep-for
      *    will be used. A Y indicates that spool files should be archived upon deletion.
      *    These ws-keep-for values are DAYS.
      *    To change the retention period edit the appropriate values and recompile
      *    DFHZJCL1.cbl
      *    e.g.  to change the class A retention period to 1 week and specify that no
      *    archiving is required:
      *    edit the first  filler for class A so that the value is 7
      *    edit the second filler for class A so that the value is N
      *    giving:
      *      class A
      *      05  filler                           pic 99999 value 00007.
      *      05  filler                           pic x     value 'N'  .
      **********************************************************************************
           03 ws-class-settings.
      *      class A
             05  filler                           pic 99999 value 00001.
             05  filler                           pic x     value 'N'  .
      *      class B
             05  filler                           pic 99999 value 00002.
             05  filler                           pic x     value 'N'  .
      *      class C
             05  filler                           pic 99999 value 00003.
             05  filler                           pic x     value 'N'  .
      *      class D
             05  filler                           pic 99999 value 99999.
             05  filler                           pic x     value 'N'  .
      *      class E
             05  filler                           pic 99999 value 99999.
             05  filler                           pic x     value 'N'  .
      *      class F
             05  filler                           pic 99999 value 99999.
             05  filler                           pic x     value 'N'  .
      *      class G
             05  filler                           pic 99999 value 99999.
             05  filler                           pic x     value 'N'  .
      *      class H
             05  filler                           pic 99999 value 99999.
             05  filler                           pic x     value 'N'  .
      *      class I
             05  filler                           pic 99999 value 99999.
             05  filler                           pic x     value 'N'  .
      *      class J
             05  filler                           pic 99999 value 99999.
             05  filler                           pic x     value 'N'  .
      *      class J
             05  filler                           pic 99999 value 99999.
             05  filler                           pic x     value 'N'  .
      *      class L
             05  filler                           pic 99999 value 99999.
             05  filler                           pic x     value 'N'  .
      *      class M
             05  filler                           pic 99999 value 99999.
             05  filler                           pic x     value 'N'  .
      *      class N
             05  filler                           pic 99999 value 99999.
             05  filler                           pic x     value 'N'  .
      *      class O
             05  filler                           pic 99999 value 99999.
             05  filler                           pic x     value 'N'  .
      *      class P
             05  filler                           pic 99999 value 99999.
             05  filler                           pic x     value 'N'  .
      *      class Q
             05  filler                           pic 99999 value 99999.
             05  filler                           pic x     value 'N'  .
      *      class R
             05  filler                           pic 99999 value 99999.
             05  filler                           pic x     value 'N'  .
      *      class S
             05  filler                           pic 99999 value 99999.
             05  filler                           pic x     value 'N'  .
      *      class T
             05  filler                           pic 99999 value 99999.
             05  filler                           pic x     value 'N'  .
      *      class U
             05  filler                           pic 99999 value 99999.
             05  filler                           pic x     value 'N'  .
      *      class V
             05  filler                           pic 99999 value 99999.
             05  filler                           pic x     value 'N'  .
      *      class W
             05  filler                           pic 99999 value 99999.
             05  filler                           pic x     value 'N'  .
      *      class X
             05  filler                           pic 99999 value 99999.
             05  filler                           pic x     value 'N'  .
      *      class Y
             05  filler                           pic 99999 value 99999.
             05  filler                           pic x     value 'N'  .
      *      class Z
             05  filler                           pic 99999 value 00004.
             05  filler                           pic x     value 'N'  .
      *      class 0
             05  filler                           pic 99999 value 00005.
             05  filler                           pic x     value 'N'  .
      *      class 1
             05  filler                           pic 99999 value 99999.
             05  filler                           pic x     value 'N'  .
      *      class 2
             05  filler                           pic 99999 value 99999.
             05  filler                           pic x     value 'N'  .
      *      class 3
             05  filler                           pic 99999 value 99999.
             05  filler                           pic x     value 'N'  .
      *      class 4
             05  filler                           pic 99999 value 99999.
             05  filler                           pic x     value 'N'  .
      *      class 5
             05  filler                           pic 99999 value 99999.
             05  filler                           pic x     value 'N'  .
      *      class 6
             05  filler                           pic 99999 value 99999.
             05  filler                           pic x     value 'N'  .
      *      class 7
             05  filler                           pic 99999 value 99999.
             05  filler                           pic x     value 'N'  .
      *      class 8
             05  filler                           pic 99999 value 99999.
             05  filler                           pic x     value 'N'  .
      *      class 9
             05  filler                           pic 99999 value 99999.
             05  filler                           pic x     value 'N'  .
